#ifndef _bitmap_h_
#define _bitmap_h_

#include <windows.h>
#include <stdio.h>
#include <GL/gl.h>

typedef struct TEXTUREINFO{
	unsigned int image_width;
	unsigned int image_height;
	unsigned int texture_width;
	unsigned int texture_height;
}TEXTUREINFO;

void *LoadDIBitmap(char *filename, BITMAPINFO **info,TEXTUREINFO *);
GLuint textureBitmap(char *file,TEXTUREINFO *texture_info);

#endif